	;
	ORG $1001-2
	DW $1001
	
	DW $100B,0
	DB $9E,"4109",0,0,0
	
time	= $0C10
max_raster = $0C3F
max_raster_chars = $0C38

	JMP start
	;
music_beg
	include "!playerv.asm"
	include "!player.asm"
	include "music.asm"
music_end
	;
	
Print16	macro addr
	LDA #"$"
	JSR $FFD2
	LDA #addr >> 8
	JSR $FB10
	LDA #addr & 255
	JSR $FB10
	endm
	
start	JSR $FF4F
	DB $93,$90
	DB "ELAPSED TIME  : 00:00 ( )",$0D
	DB "MAXIMUM RASTER: 00    ( )",$0D
	DB $0D
	DB $99,"(PRESS CURSOR RIGHT TO FADE OUT)",$0D
	DB $0D
	DB $90,"MUSIC         : "
	;
	DB 0                          
	;       
	Print16 music_beg    
	JSR $FF4F
	DB " - ",0
	Print16 music_end
	;
	SEI
	;STA $FF3F
	;
	LDA #$00
	STA time+7
	STA max_raster
	;
	LDA #$31
	STA $FF19
	LDA #$41
	STA $FF15
	;
	JSR PLAYER_FREQ_INIT
	;
	; ---
	;        
	LDY #$00
	LDX #$00
delay	INX
	BNE delay
	INY
	BNE delay
	;
mainloop	
	LDA #$00
	LDX #$00
sync0	INX
	CMP $FF1D
	BNE sync0
	;
	LDX $FF1C
	CPX #$FE & 255
	BNE sync0
	;
	DEC $FF19
	;
	JSR PLAYER
	;
vol_down
	LDA #$00
	BEQ no_vol_down
	;
vol_delay
	LDA #$00
	CLC
	ADC #$01
	AND #$0F
	STA vol_delay+1
	BNE no_vol_down
	;
	LDA VOLUME
	CLC
	ADC #$09
	CMP #21*9
	BNE do_vol_down
	JMP $FFF6
do_vol_down
	STA VOLUME
no_vol_down
	;
	JSR INC_TIMER
	;
	INC $FF19
	;
	LDA $FF1D
	SEC
r_start	SBC #$00
	CMP max_raster
	BCC not_larger
	;
	STA max_raster
	;
	AND #$0F    
	TAX
	LDA hex_char,x
	STA max_raster_chars+1
	;
	LDA max_raster
	LSR a
	LSR a
	LSR a
	LSR a
	TAX
	LDA hex_char,x
	STA max_raster_chars
	;
not_larger
	;
kdelay	LDY #$00
	BEQ kcheck
	DEY 
	JMP kend
	
kcheck	LDA #$BF
	STA $FD30
	STA $FF08
	LDA $FF08
	CMP #$F7
	BNE x5
	;   
	LDA #$21
	STA $FF15
	STA vol_down+1
	; do something on keypress
	;
x5	;
	LDY #$04    
kend	STY kdelay+1
	;
	JMP mainloop
	;
	
INC_TIMER
	LDA time+7
	CLC
	ADC #$01
	CMP #50
	BNE inc1     
	;
	LDX #$05
inc2	DEX 
	CPX #$02
	BEQ inc2
	LDA time,x
	CLC
	ADC #$01
	CMP time_end,x
	BNE inc3
	LDA #$30
inc3	STA time,x
	CMP #$30
	BEQ inc2
	;
	LDA #$00
inc1	STA time+7
	;
	RTS
time_end
	DB $3A,$3A,$3A,$36,$3A
hex_char
	DB "0123456789",1,2,3,4,5,6

