	;
	; short demo tune written for Lone News 20
	; made by Csabo of LOD, 2008-05-27
	;
LEN = $40

vol_default
	DB 8,8,8,7,7,7,6,6,6,5,5,4
	DB 8,8,7,6,5,4
	DB 8,8,7,6,5,4
	DB $FF

Channel1
	DW pat_quiet,pat_quiet,pat_quiet,pat_drumfill
	DW pat_bass_gi,pat_bass_gi,pat_bass_gi,pat_bass_gi
	DW pat_bass_f,pat_bass_f,pat_bass_f,pat_bass_f
	DW pat_bass_g,pat_bass_g,pat_bass_g,pat_bass_g
	;
	DW pat_bass_c,pat_bass_c,pat_bass_c,pat_bass_c
	DW pat_bass_gi,pat_bass_gi,pat_bass_gi,pat_bass_gi
	DW pat_bass_f,pat_bass_f,pat_bass_f,pat_bass_f
	DW pat_bass_g,pat_bass_g,pat_bass_g,pat_bass_g
	;
	DW pat_bass_c,pat_bass_c,pat_bass_c,pat_bass_c
	DW pat_bass_gi,pat_bass_gi,pat_bass_gi,pat_bass_gi
	DW pat_bass_f,pat_bass_f,pat_bass_f,pat_bass_f
	DW pat_bass_g,pat_bass_g,pat_bass_g,pat_bass_g
	;
	DW pat_bass_c,pat_bass_c,pat_bass_c,pat_bass_c
	DW pat_bass_gi,pat_bass_gi,pat_bass_gi,pat_bass_gi
	DW pat_bass_f,pat_bass_f,pat_bass_f,pat_bass_f
	DW pat_bass_g,pat_bass_g,pat_bass_g,pat_bass_g
	;
	DW 0
	;
	
Channel2
	DW pat_bass,pat_bass,pat_bass,pat_bass
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	;
	DW pat_lead
	;
	DW pat_mid  
	;
	DW pat_solo
	;
	DW 0   
	
Channel3
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_arp_f
	DW pat_arp_g
	;
	DW pat_arp_c
	DW pat_arp_gi
	DW pat_arp_f
	DW pat_arp_g
	;
	DW pat_arp_c
	DW pat_arp_gi
	DW pat_arp_f
	DW pat_arp_g
	;
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	DW pat_quiet,pat_quiet,pat_quiet,pat_quiet
	;
	DW 0
	
snd_bassdrum	= 0

speed = 6
tempo = 4

pat_quiet
	DB $F0
	DB LEN+6*8,OFF
	DB END_MARK

pat_bass
	DB $F0
	DB LEN+speed*2,C1
	DB LEN+speed*1,C2
	DB C1
	DB LEN+speed*2,OFF
	DB Ai0
	;
	DB END_MARK
	
pat_bass_c
	DB $F0
	DB LEN+speed*2,C1
	DB LEN+speed*1,C2
	DB C1
	DB $F2
	DB LEN+speed*2,C3
	DB $F0
	DB Ai0
	;
	DB END_MARK
	
pat_bass_gi
	DB $F0
	DB LEN+speed*2,Gi1
	DB LEN+speed*1,Gi2
	DB Gi1
	DB $F2
	DB LEN+speed*2,C3
	DB $F0
	DB G1
	;
	DB END_MARK
	
pat_bass_f
	DB $F0
	DB LEN+speed*2,F1
	DB LEN+speed*1,F2
	DB F1
	DB $F2
	DB LEN+speed*2,C3
	DB $F0
	DB Di1
	;
	DB END_MARK
	
pat_bass_g
	DB $F0
	DB LEN+speed*2,G1
	DB LEN+speed*1,G2
	DB G1
	DB $F2
	DB LEN+speed*2,C3
	DB $F0           
	DB LEN+speed*1,B0
	DB D1
	;
	DB END_MARK
	
pat_drumfill
	DB $F2
	DB LEN+speed*2,A2,Ai2,B2,C3
	DB END_MARK

pat_arp_c
	DB $F3
	DB LEN+speed*3,C3,Di3,G3,C3,LEN+speed*2,Di3,G3
	DB LEN+speed*3,C3,Di3,G3,LEN+speed*2,C3,LEN+speed,C3,LEN+speed*2,Di3,G3
	DB END_MARK
	
pat_arp_gi
	DB $F3
	DB LEN+speed*3,C3,Di3,Gi3,C3,LEN+speed*2,Di3,Gi3
	DB LEN+speed*3,C3,Di3,Gi3,LEN+speed*2,C3,LEN+speed,C3,LEN+speed*2,Di3,Gi3
	DB END_MARK
	
pat_arp_f
	DB $F3
	DB LEN+speed*3,C3,F3,Gi3,C3,LEN+speed*2,F3,Gi3
	DB LEN+speed*3,C3,F3,Gi3,LEN+speed*2,C3,LEN+speed,C3,LEN+speed*2,F3,Gi3
	DB END_MARK
	
pat_arp_g
	DB $F3
	DB LEN+speed*3,B2,D3,G3,B2,LEN+speed*2,D3,G3
	DB LEN+speed*3,B2,D3,LEN+speed*2,G3
	DB LEN+speed,G3,Gi3,G3,F3,Di3,D3,C3,B2
	DB END_MARK
	
	;
	; *** lead
	;
	
pat_lead
	DB $F4
	DB LEN+speed*6,Di3
	DB LEN+speed*1,C3
	DB             D3
	DB LEN+speed*2,Di3
	DB LEN+speed*1,D3
	DB LEN+speed*2,C3
	DB             Ai2
	;
	DB LEN+speed*13,G2
	DB $F0
	DB LEN+speed*4,OFF
	DB $F4
	;
	DB LEN+speed*6,Di3
	DB LEN+speed*1,C3
	DB             D3
	DB LEN+speed*2,Di3
	DB LEN+speed*1,D3
	DB LEN+speed*2,C3
	DB             Ai2
	;
	DB LEN+speed*13,Gi2
	DB $F0
	DB LEN+speed*4,OFF
	DB $F4
	;
	DB LEN+speed*6,F3
	DB LEN+speed*1,D3
	DB             Di3
	DB LEN+speed*2,F3
	DB LEN+speed*1,G3
	DB LEN+speed*2,F3
	DB             Di3
	;
	DB LEN+speed*13,F3
	DB $F0
	DB LEN+speed*4,OFF
	DB $F4
	;
	DB LEN+speed*8,G3
	DB LEN+speed*2,Gi3
	DB LEN+speed*1,G3
	DB LEN+speed*2,F3
	DB             D3
	;
	DB LEN+speed*13,B2
	DB $F0
	DB LEN+speed*4,OFF
	;
	DB END_MARK

pat_mid
	DB $F0
	DB LEN+speed*1
	DB Di3,C3,G3,C3
	DB Di3,C3,G3,C3
	DB Di3,C3,G3,C3
	DB D3,Di3,D3,C3
	;
	DB Di3,C3,G3,C3
	DB Di3,C3,G3,C3
	DB Di3,C3,G3,C3
	DB D3,Di3,D3,C3
	;
	; gi
	DB Di3,C3,Gi3,C3
	DB Di3,C3,Gi3,C3
	DB Di3,C3,Gi3,C3
	DB D3,Di3,D3,C3
	;
	DB Di3,C3,Gi3,C3
	DB Di3,C3,Gi3,C3
	DB Di3,C3,Gi3,C3
	DB D3,Di3,D3,C3
	;
	; f
	DB F3,C3,Gi3,C3
	DB F3,C3,Gi3,C3
	DB F3,C3,Gi3,C3
	DB D3,Di3,D3,C3
	;
	DB F3,C3,Gi3,C3
	DB F3,C3,Gi3,C3
	DB F3,C3,Gi3,C3
	DB D3,Di3,D3,C3
	;
	; g
	DB D3,B2,G3,B2
	DB D3,B2,G3,B2
	DB D3,B2,G3,B2
	DB D3,Di3,D3,C3
	;
	DB D3,B2,G3,B2
	DB D3,B2,G3,B2
	DB D3,B2,G3,B2
	DB D3,Di3,D3,C3
	;  
	DB END_MARK
	
pat_solo
	DB $F4
	DB LEN+speed*1,G3
	DB Fi3
	DB F3
	DB $F0
	DB OFF
	DB $F4
	DB Di3
	DB $F0
	DB OFF
	DB C3
	DB LEN+speed*3,Ai2
	DB LEN+speed*1,C3
	DB $F0
	DB LEN+speed*2,OFF
	DB $F4
	DB LEN+speed*1,C3
	DB Di3
	DB G3
	;
	DB C4
	DB C3
	DB C3
	DB Ai3
	DB C3
	DB C3
	DB G3
	DB C3
	DB C4
	DB C3
	DB C3
	DB Ai3
	DB C3
	DB C3
	DB G3
	DB C3
	;    
	; ---
	;
	DB G3
	DB Fi3
	DB F3
	DB $F0
	DB OFF
	DB $F4
	DB Di3
	DB $F0
	DB OFF
	DB $F4
	DB C3
	DB LEN+speed*3,Di3
	DB LEN+speed*1,C3
	DB $F0
	DB LEN+speed*2,OFF
	DB $F4
	DB LEN+speed*1,C3
	DB Di3
	DB Gi3
	;
	DB C4
	DB Gi2
	DB Gi2
	DB Ai3
	DB Gi2
	DB Gi2
	DB Gi3
	DB Gi2
	DB G3
	DB Gi2
	DB Gi2
	DB F3
	DB Gi2
	DB Di3
	DB Gi2
	DB D3
	;
	; --
	;
	DB $F4
	DB LEN+speed*1,G3
	DB Fi3
	DB F3
	DB $F0
	DB OFF
	DB $F4
	DB Di3
	DB $F0
	DB OFF
	DB C3
	DB LEN+speed*3,Ai2
	DB LEN+speed*1,C3
	DB $F0
	DB LEN+speed*2,OFF
	;
	DB LEN+speed*1,C4
	DB Ai3
	DB G3
	;
	DB LEN+3
	DB C4,Ai3,G3
	DB C4,Ai3,G3
	DB C4,Ai3,G3
	DB C4,Ai3,G3
	DB C4,Ai3,G3
	DB C4
	;
	DB LEN+speed*1
	DB Ai3,G3
	DB C4,OFF,Ai3,OFF,G3,OFF
	;
	; ---
	;    
	DB $F4
	DB LEN+speed*1,G3
	DB Fi3
	DB F3
	DB $F0
	DB OFF
	DB $F4
	DB Di3
	DB $F0
	DB OFF
	DB C3
	DB LEN+speed*3,Ai2
	DB LEN+speed*1,C3
	DB $F0
	DB LEN+speed*2,OFF
	DB $F4
	DB LEN+speed*1,C3
	DB Di3
	DB G3
	;
	DB D4
	DB B2
	DB B2
	DB B3
	DB B2
	DB B2
	DB G3
	DB B2
	DB D4
	DB B2
	DB B2
	DB B3
	DB B2
	DB B2
	DB G3
	DB B2
	;
	DB END_MARK
	